#pragma once

#include "weapon.hpp"

namespace game::equipment {

class BurstGun: public Weapon
{
private:
    int remainShots;
    float fullReloadTime;
public:
    BurstGun() noexcept;

    virtual void Update() noexcept;
    virtual void Shoot(const vec2f &position, bool direction, World *world, bool forced) noexcept;
};

}
